# $Revision: 1.2 $, $Date: 2009/09/09 11:57:51 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Time
%define	pnam	Piece-MySQL
Summary:	Time::Piece::MySQL - Adds MySQL-specific methods to Time::Piece
Summary(pl.UTF-8):	Time::Piece::MySQL - dodaje specyficzne metody MySQL do Time::Piece
Name:		perl-Time-Piece-MySQL
Version:	0.06
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/K/KA/KASEI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be66a577f8790c16947d8e3e5a0e65a2
URL:		http://search.cpan.org/dist/Time-Piece-MySQL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Using this module instead of, or in addition to, Time::Piece adds a
few MySQL-specific date-time methods to Time::Piece objects.

%description -l pl.UTF-8
Użycie tego modułu zamiast lub razem z Time::Piece dodaje kilka
charakterystycznych dla MySQL metod związanych z datą i czasem do
objektów Time::Piece.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Time/Piece
%{perl_vendorlib}/Time/Piece/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Piece-MySQL.spec,v $
Revision 1.2  2009/09/09 11:57:51  amateja
- added missing %dir in %files section
- release 2

Revision 1.1  2009/09/09 11:29:29  amateja
- initial

